Subject: pkg/10224: PostgreSQL 7.0 doesn't need bison to build.
To: None <>
From: SUNAGAWA Keiki <>
List: netbsd-bugs
Date: 05/29/2000 07:16:12
>Number:         10224
>Category:       pkg
>Synopsis:       PostgreSQL pkg has BUILD_DEPENDS to bison, which is no longer needed.
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    pkg-manager
>State:          open
>Class:          change-request
>Submitter-Id:   net
>Arrival-Date:   Mon May 29 07:17:00 PDT 2000
>Originator:     SUNAGAWA Keiki
>Release:        2000-05-27
System: NetBSD 1.4Y NetBSD 1.4Y (IBOOK) #10: Mon May 15 23:04:29 JST 2000 kei@:/var/NetBSD-current/src/sys/arch/macppc/compile/IBOOK macppc

	As of version 7.0 (actually, from 6.5.2 according to HISTORY),
	PostgreSQL supports BSD yacc and bison as well, so it no longer needs
	BUILD_DEPENDS to bison for building.
	read HISTORY in the distribution.
	Simply remove the BUILD_DEPENDS line from pkgsrc Makefile.  I
	cofirmed this on 1.4Y/macppc.

Index: Makefile
RCS file: /a/rsync/,v
retrieving revision 1.49
diff -u -r1.49 Makefile
--- Makefile	2000/05/20 19:32:18	1.49
+++ Makefile	2000/05/27 02:57:57
@@ -2,7 +2,6 @@
 # FreeBSD Id: Makefile,v 1.22 1997/12/24 01:21:37 alex Exp
-BUILD_DEPENDS+=		${LOCALBASE}/bin/bison:../../devel/bison
 DEPENDS+=		readline-*:../../devel/readline
 MAKEFILE=		GNUmakefile